[Debichem-commits] [SCM] massXpert mass spectrometry suite: debian packaging branch, debian, updated. upstream/3.2.0-1-g5564507

Filippo Rusconi (Debian Maintainer) rusconi-debian at laposte.net
Thu Nov 24 21:27:28 UTC 2011


The following commit has been merged in the debian branch:
commit f3c1fbca8917070307cda9c1fdedd0a6dbf58f81
Author: Filippo Rusconi (Debian Maintainer) <rusconi-debian at laposte.net>
Date:   Tue Nov 10 23:13:56 2009 +0100

    Add script to fix link command on Qt-Windows.

diff --git a/maint-scripts/linker-fixup-for-qt-windows.sh b/maint-scripts/linker-fixup-for-qt-windows.sh
new file mode 100644
index 0000000..015a3e2
--- /dev/null
+++ b/maint-scripts/linker-fixup-for-qt-windows.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+cd /c/devel/b/gui/CMakeFiles/massxpert.dir
+
+cp link.txt link-bkp.txt
+
+ sed 's/\(C:\\Qt\\2009.04\\qt\)\\lib\\lib\(Qt[A-Za-z]*4\).a /\1\\bin\\\2.dll /g' link.txt > link-sed.txt
+
+if [ "$?" == 0 ]
+    then
+    mv link-sed.txt link.txt
+else
+    rm link-sed.txt
+    echo "Failed to sed the file."
+fi
+
+cat link.txt
+
+cd -

-- 
massXpert mass spectrometry suite: debian packaging



More information about the Debichem-commits mailing list